using AipGateway.API.Application.Pipeline.Middlewares.Behaviours;
using AipGateway.API.Application.Pipeline.Middlewares.Logging;
using Microsoft.AspNetCore.Builder;

namespace AipGateway.API.Application.Pipeline.Middlewares;

public static class Dependencyinjection
{
    public static IApplicationBuilder UseMiddlewares(this IApplicationBuilder app)
    {
        app//.UseMiddleware<LoggingBehaviour>()
           .UseMiddleware<ApiGuidGeneratorBehaviour>()
           .UseMiddleware<RequestResponseLogging>()
           ;
           //.UseMiddleware<PerformanceBehaviour>();
           //.UseMiddleware<ValidationBehaviour>();

        return app;
    }
}
